1. Важное и срочное обновление IPB 3.4.5 - https://nulled.cc/threads/243375/

Как мне грамотно обновиться? С 2.2.2 на 2.3.1

Тема в разделе "IPB", создана пользователем CbIP, 16 авг 2007.

Статус темы:
Закрыта.
Модераторы: Maybe
  1. CbIP

    CbIP Создатель

    Заблокирован
    Регистр.:
    2 июл 2006
    Сообщения:
    52
    Симпатии:
    6
    Итак. Сейчас я испольую MkPortal 1.1 + IPB 2.2.2.
    Установлены моды:
    • IPGaller 2.1.1
    • IPBlog 1.3.1
    • BugTracker 1.2 Final
    • FSY22 Установщик модов
    • Чат D22-southbox v1.1.2
    • D22-[Task]Auto MySQL Backup
    • D22-PM Logs
    А так же отображение статуса ICQ при просотре темы и функии вставить ник и цитату.

    Потерять информацию никак нельзя.
    Подскаите, какую из представленных здесь версий форума (2.3.1) выбрать и как грамотно обновтиься. Если можно поподробней.
     
  2. -НиК-

    -НиК-

    Регистр.:
    12 фев 2007
    Сообщения:
    163
    Симпатии:
    130
    Я поверх старых файлов 2.2.2 залил 2.3.1, т.е. одинаковые файлы обновились до 2.3.1, а файлы которых не было в 2.3.1 (некоторые моды, смайлы, аватары …) остались без изменений, конфиг я тоже оставил старый от 2.2.2, после чего я запустил абгрейд, после абгрейда все настройки в АЦ остались, части модов внесённые в скины остались, а вот в файлах моды пришлось заново прописать, практически все моды от 2.2.2 подошли к 2.3.1 :) у меня только мод не присел :(
     
  3. [/root.]

    [/root.] Он самый

    Регистр.:
    20 май 2006
    Сообщения:
    368
    Симпатии:
    58
    Делаешь бэкапы. Выключаешь все модули. Производишь апдейт ядра и поочередно включаешь, то что отключил.
     
  4. Pilot

    Pilot Постоялец

    Регистр.:
    1 май 2007
    Сообщения:
    108
    Симпатии:
    34
    Обновляйся с заменой файлов потом ставь моды заного.
    Долго но безопасно
     
  5. CbIP

    CbIP Создатель

    Заблокирован
    Регистр.:
    2 июл 2006
    Сообщения:
    52
    Симпатии:
    6
    Извиняюсь, это как?
     
  6. kononenko

    kononenko Создатель

    Регистр.:
    3 окт 2006
    Сообщения:
    21
    Симпатии:
    0
    да уж сам имею версию 2.2.2 и кучу модов на нем , а вот хотелось бы перейти но новую версию но моды обновлять не охото в ручную :(
     
  7. blackandwhite666

    blackandwhite666 Прохожие

    По хорошему как написаны эти моды я не совсем помню, но лучше всего будет взять что нить из разряда gui к mysql типа sqlyog. Найти функцию structure synchro. Привести структуру старой базы к струтуре чистой 2.3.1 и соответственно перенести данные. Моды ставить заново. Я делал именно так, все работает.
     
  8. NafanjaUa

    NafanjaUa

    Регистр.:
    12 мар 2007
    Сообщения:
    243
    Симпатии:
    42
    всё прекрасно ставиться. бекапы лишние.

    - заменить файлы на новые.
    - провести апдейт.
    - всё.
     
  9. Cepera51

    Cepera51 Постоялец

    Регистр.:
    10 янв 2007
    Сообщения:
    145
    Симпатии:
    66
    На ibresource все написано про обновление:
    http://www.ibresource.ru/forums/index.php?showtopic=43097
     
    newbigmir нравится это.
  10. newbigmir

    newbigmir

    Регистр.:
    31 июл 2007
    Сообщения:
    283
    Симпатии:
    23
    при обновлении с 2.2.2null by sanyk36 на 2.3.1null any, может востановиться защита форума?
     
Статус темы:
Закрыта.